Package org.apache.catalina.valves.rewrite

## Class Substitution.MapElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.MapElement

Enclosing class:
  Substitution

    public class Substitution.MapElement
    extends Substitution.SubstitutionElement

### Field Summary

Fields
`Substitution.SubstitutionElement[]` `defaultValue`
`Substitution.SubstitutionElement[]` `key`
`RewriteMap` `map`

### Constructor Summary

Constructors
`MapElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `evaluate​(Matcher rule, Matcher cond, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### map

    public RewriteMap map

#### defaultValue

    public Substitution.SubstitutionElement[] defaultValue

#### key

    public Substitution.SubstitutionElement[] key

### Constructor Detail

#### MapElement

    public MapElement()

### Method Detail

#### evaluate

    public String evaluate​(Matcher rule,
                           Matcher cond,
                           Resolver resolver)

Specified by:
  `evaluate` in class `Substitution.SubstitutionElement`